LPARAMETERS lcKodas_js, lcFile, llKlaidaNeTrinti
** Funkcija f_outlook_sabl
** Pagal dokument ablon srae prisegt ablon upildo outlook dokument **
** Perduodami parametrai:
** 1. Dokument ablono kodas
** 2. Failo vardas (nenurodius sukuriamas laikinas failas)
** 3. Ar esant formavimo klaidai palikti dalinai suformuot fail (pagal nutyljim trinama)
** Grina upildyto failo vard
** Pavyzdys: f_outlook_sabl("MAIL_S001","c:\laiskai\sutartis_140925.msg")

LOCAL lal
lal=ALIAS()

LOCAL llKlaida, _err
m._err=.F.
m.llKlaida=.F.
IF TYPE("m.lcFile")#"C" OR EMPTY(m.lcFile)
	m.lcFile=tmp_sys()
ENDIF

*********** Failo gavimas i ablon srao ***********
m.lcFileOut=f_dokumentas("JS",m.lcKodas_js,m.lcFile)
IF EMPTY(m.lcFileOut) && Tikriausiai nuoroda
	m.lcFileOrg=f_pdf_file("JS",m.lcKodas_js)
	IF !FILE(m.lcFileOrg)
		RETURN ""
	ENDIF
	m.lcFileOut=m.lcFile+'.'+JUSTEXT(m.lcFileOrg)
	COPY FILE (m.lcFileOrg) TO (m.lcFileOut)
	IF !FILE(m.lcFileOut)
		RETURN ""
	ENDIF
ENDIF

** Upildome duomenimis **
IF !EMPTY(m.lal) AND USED(m.lal)
	SELECT (m.lal)
ENDIF
IF !x_outlook_gen(m.lcFileOut)
	IF !m.llKlaidaNeTrinti
		ERASE(m.lcFileOut)
	ENDIF
	RETURN ""
ENDIF

RETURN m.lcFileOut